|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.myfaces.renderkit.html.HtmlRendererUtils
public final class HtmlRendererUtils
| Nested Class Summary | |
|---|---|
static class |
HtmlRendererUtils.LinkParameter
|
| Field Summary | |
|---|---|
static java.lang.String |
DEFAULT_CHAR_ENCODING
|
static java.lang.String |
HIDDEN_COMMANDLINK_FIELD_NAME
|
| Method Summary | |
|---|---|
static void |
decodeUIInput(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
Utility to set the submitted value of the provided component from the data in the current request object. |
static void |
decodeUISelectBoolean(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
X-CHECKED: tlddoc h:selectBooleanCheckbox |
static void |
decodeUISelectMany(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
X-CHECKED: tlddoc h:selectManyListbox |
static void |
decodeUISelectOne(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
X-CHECKED: tlddoc h:selectManyListbox |
static javax.faces.convert.Converter |
findUIOutputConverterFailSafe(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
|
static javax.faces.convert.Converter |
findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
|
static java.lang.String |
getClearHiddenCommandFormParamsFunctionName(java.lang.String formName)
Prefixes the given String with "clear_" and removes special characters |
static java.lang.String |
getDisplayValueOnlyStyle(javax.faces.component.UIComponent component)
|
static java.lang.String |
getDisplayValueOnlyStyleClass(javax.faces.component.UIComponent component)
|
static java.lang.String |
getFormName(javax.faces.component.UIComponent component,
javax.faces.context.FacesContext context)
Return the clientId of the form associated with the specified component. |
static java.lang.String |
getHiddenCommandLinkFieldName(java.lang.String formName)
Get the name of the request parameter that holds the id of the link-type component that caused the form to be submitted. |
static java.lang.String |
getImageLocation(javax.faces.component.UIComponent component)
|
static java.lang.String |
getJavascriptLocation(javax.faces.component.UIComponent component)
|
static java.lang.String |
getStyleLocation(javax.faces.component.UIComponent component)
|
static java.util.Set |
getSubmittedOrSelectedValuesAsSet(boolean selectMany,
javax.faces.component.UIComponent uiComponent,
javax.faces.context.FacesContext facesContext,
javax.faces.convert.Converter converter)
|
static java.lang.String[] |
getSupportedContentTypes()
|
static boolean |
isDisabledOrReadOnly(javax.faces.component.UIComponent component)
|
static boolean |
isDisplayValueOnly(javax.faces.component.UIComponent component)
|
static boolean |
isXHTMLContentType(java.lang.String contentType)
|
static void |
renderClearHiddenCommandFormParamsFunction(javax.faces.context.ResponseWriter writer,
java.lang.String formName,
java.util.Set dummyFormParams,
java.lang.String formTarget)
Render the javascript function that is called on a click on a commandLink to clear the hidden inputs. |
static void |
renderDisplayValueOnly(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIInput input)
|
static void |
renderDisplayValueOnlyAttributes(javax.faces.component.UIComponent uiComponent,
javax.faces.context.ResponseWriter writer)
|
static void |
renderDisplayValueOnlyForSelects(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
|
static void |
renderHiddenCommandFormParams(javax.faces.context.ResponseWriter writer,
java.util.Set dummyFormParams)
|
static void |
renderHiddenInputField(javax.faces.context.ResponseWriter writer,
java.lang.Object name,
java.lang.Object value)
|
static boolean |
renderHTMLAttribute(javax.faces.context.ResponseWriter writer,
java.lang.String componentProperty,
java.lang.String attrName,
java.lang.Object value)
|
static boolean |
renderHTMLAttribute(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String componentProperty,
java.lang.String htmlAttrName)
|
static boolean |
renderHTMLAttributes(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String[] attributes)
|
static boolean |
renderHTMLAttributesWithOptionalStartElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String[] attributes)
|
static boolean |
renderHTMLAttributeWithOptionalStartElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String attrName,
java.lang.Object value,
boolean startElementWritten)
|
static void |
renderListbox(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectMany selectMany,
boolean disabled,
int size)
|
static void |
renderListbox(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectOne selectOne,
boolean disabled,
int size)
|
static void |
renderMenu(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectMany selectMany,
boolean disabled)
|
static void |
renderMenu(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectOne selectOne,
boolean disabled)
|
static boolean |
renderOptionalEndElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String[] attributes)
|
static void |
renderSelectOptions(javax.faces.context.FacesContext context,
javax.faces.component.UIComponent component,
javax.faces.convert.Converter converter,
java.util.Set lookupSet,
java.util.List selectItemList)
Renders the select options for a UIComponent that is
rendered as an HTML select element. |
static java.lang.String |
selectContentType(java.lang.String contentTypeListString)
|
static void |
writeIdIfNecessary(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
javax.faces.context.FacesContext facesContext)
|
static void |
writePrettyIndent(javax.faces.context.FacesContext facesContext)
|
static void |
writePrettyLineSeparator(javax.faces.context.FacesContext facesContext)
|
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final java.lang.String HIDDEN_COMMANDLINK_FIELD_NAME
public static java.lang.String DEFAULT_CHAR_ENCODING
| Method Detail |
|---|
public static void decodeUIInput(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
Param component is required to be an EditableValueHolder. On return from this method, the component's submittedValue property will be set if the submitted form contained that component.
public static void decodeUISelectBoolean(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
facesContext - component - public static boolean isDisabledOrReadOnly(javax.faces.component.UIComponent component)
public static void decodeUISelectMany(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
facesContext - component -
public static void decodeUISelectOne(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent component)
facesContext - component -
public static void renderListbox(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectOne selectOne,
boolean disabled,
int size)
throws java.io.IOException
java.io.IOException
public static void renderListbox(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectMany selectMany,
boolean disabled,
int size)
throws java.io.IOException
java.io.IOException
public static void renderMenu(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectOne selectOne,
boolean disabled)
throws java.io.IOException
java.io.IOException
public static void renderMenu(javax.faces.context.FacesContext facesContext,
javax.faces.component.UISelectMany selectMany,
boolean disabled)
throws java.io.IOException
java.io.IOException
public static java.util.Set getSubmittedOrSelectedValuesAsSet(boolean selectMany,
javax.faces.component.UIComponent uiComponent,
javax.faces.context.FacesContext facesContext,
javax.faces.convert.Converter converter)
public static javax.faces.convert.Converter findUISelectManyConverterFailsafe(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
public static javax.faces.convert.Converter findUIOutputConverterFailSafe(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
public static void renderSelectOptions(javax.faces.context.FacesContext context,
javax.faces.component.UIComponent component,
javax.faces.convert.Converter converter,
java.util.Set lookupSet,
java.util.List selectItemList)
throws java.io.IOException
UIComponent that is
rendered as an HTML select element.
context - the current FacesContext.component - the UIComponent whose options need to be
rendered.converter - component's converterlookupSet - the Set to use to look up selected optionsselectItemList - the List of SelectItem s to be
rendered as HTML option elements.
java.io.IOException
public static void writePrettyLineSeparator(javax.faces.context.FacesContext facesContext)
throws java.io.IOException
java.io.IOException
public static void writePrettyIndent(javax.faces.context.FacesContext facesContext)
throws java.io.IOException
java.io.IOException
public static boolean renderHTMLAttribute(javax.faces.context.ResponseWriter writer,
java.lang.String componentProperty,
java.lang.String attrName,
java.lang.Object value)
throws java.io.IOException
java.io.IOException
public static boolean renderHTMLAttribute(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String componentProperty,
java.lang.String htmlAttrName)
throws java.io.IOException
java.io.IOException
public static boolean renderHTMLAttributes(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String[] attributes)
throws java.io.IOException
java.io.IOException
public static boolean renderHTMLAttributeWithOptionalStartElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String attrName,
java.lang.Object value,
boolean startElementWritten)
throws java.io.IOException
java.io.IOException
public static boolean renderHTMLAttributesWithOptionalStartElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String[] attributes)
throws java.io.IOException
java.io.IOException
public static boolean renderOptionalEndElement(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
java.lang.String elementName,
java.lang.String[] attributes)
throws java.io.IOException
java.io.IOException
public static void writeIdIfNecessary(javax.faces.context.ResponseWriter writer,
javax.faces.component.UIComponent component,
javax.faces.context.FacesContext facesContext)
throws java.io.IOException
java.io.IOException
public static void renderDisplayValueOnlyForSelects(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIComponent uiComponent)
throws java.io.IOException
java.io.IOException
public static void renderDisplayValueOnlyAttributes(javax.faces.component.UIComponent uiComponent,
javax.faces.context.ResponseWriter writer)
throws java.io.IOException
java.io.IOExceptionpublic static java.lang.String getDisplayValueOnlyStyleClass(javax.faces.component.UIComponent component)
public static java.lang.String getDisplayValueOnlyStyle(javax.faces.component.UIComponent component)
public static boolean isDisplayValueOnly(javax.faces.component.UIComponent component)
public static void renderDisplayValueOnly(javax.faces.context.FacesContext facesContext,
javax.faces.component.UIInput input)
throws java.io.IOException
java.io.IOException
public static void renderHiddenCommandFormParams(javax.faces.context.ResponseWriter writer,
java.util.Set dummyFormParams)
throws java.io.IOException
java.io.IOException
public static void renderHiddenInputField(javax.faces.context.ResponseWriter writer,
java.lang.Object name,
java.lang.Object value)
throws java.io.IOException
java.io.IOException
public static void renderClearHiddenCommandFormParamsFunction(javax.faces.context.ResponseWriter writer,
java.lang.String formName,
java.util.Set dummyFormParams,
java.lang.String formTarget)
throws java.io.IOException
writer - formName - dummyFormParams - formTarget -
java.io.IOExceptionpublic static java.lang.String getClearHiddenCommandFormParamsFunctionName(java.lang.String formName)
formName -
public static java.lang.String getFormName(javax.faces.component.UIComponent component,
javax.faces.context.FacesContext context)
If the component is nested within a UIForm, that component's id is returned.
Otherwise the component of the "dummy form" is returned. At most one dummy form is output into each page; all components which can cause page submission but are not nested within a real form will cause the dummy form to be submitted instead.
public static java.lang.String getHiddenCommandLinkFieldName(java.lang.String formName)
Within each page there may be multiple "link" type components that cause page submission. On the server it is necessary to know which of these actually caused the submit, in order to invoke the correct listeners. Such components therefore store their id into the "hidden command link field" in their associated form before submitting it.
The field is always a direct child of each form, and has the same name in each form. The id of the form component is therefore both necessary and sufficient to determine the full name of the field.
public static java.lang.String selectContentType(java.lang.String contentTypeListString)
public static java.lang.String[] getSupportedContentTypes()
public static boolean isXHTMLContentType(java.lang.String contentType)
public static java.lang.String getJavascriptLocation(javax.faces.component.UIComponent component)
public static java.lang.String getImageLocation(javax.faces.component.UIComponent component)
public static java.lang.String getStyleLocation(javax.faces.component.UIComponent component)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||